<template>
  <div class="mt-sous-menu">
    <div class="is-uppercase titre cursor-as-pointer" @click="afficher = !afficher">
      <b-icon v-if="icon" :icon="icon" />{{ titre }}&nbsp;&nbsp;<b-icon
        :icon="afficher ? 'chevron-up' : 'chevron-down'"
      />
    </div>
    <div v-show="afficher">
      <slot />
    </div>
  </div>
</template>

<script>
export default {
  props: {
    icon: {
      type: String,
      default: () => '',
    },
    titre: {
      type: String,
      default: () => '',
    },
  },
  data() {
    return {
      afficher: false,
    };
  },
};
</script>

<style scoped lang="scss">
.mt-sous-menu {
  padding: 0 !important;
  display: block !important;
  .titre {
    display: flex;
    flex-direction: row;
    padding: 0.3rem 0.3rem 0.3rem 3rem;
    align-items: center;
    .icon {
      padding-right: 0.8em;
      font-size: 1em;
      margin: 0 !important;
    }
  }
}
</style>
